@charset 'UTF-8';
/**
* common
**/
@import url('https://fonts.googleapis.com/css2?family=M+PLUS+Rounded+1c:wght@300&display=swap');
:root{
  --white: white;
  --pink: #fff7f8;
}
* {
  box-sizing: border-box;
  margin: 0;
}
html {
  block-size: 100%;
}
body {
  min-block-size: 100%;
  font-size: 62.5%;
  background-color: #fff7f8;
  font-family: "M PLUS Rounded 1c" ,sans-serif;
}
main {
  display: grid;
  grid-template-columns: 1fr min(calc(100% - 4rem), 100%) 1fr;
  gap: 1rem;
  margin: 1rem 0;
}
main > * {
  grid-column: 2;
}
h1 {
  font-size: 1.5rem;
}
figure {
  padding: 10px;
  display: inline-block;
  line-height: 0;
  background-color: var(--white);
  overflow: hidden;
  box-shadow: 2px 2px 3px 0px #979797;
}
figure img {
  padding: 0 0 10px;
  width: 100%;
}
figcaption {
  font-size: 14px;
  display: block;
  height: 14px;
  line-height: 1;
}
/**
* card
**/
[class*="pettern"] {
  margin-bottom: 20px;
  width: 478px;
  height: 338px;
  position: relative;
}
[class*="pettern"] .front,
[class*="pettern"] .back {
  position: absolute;
  transition: all 0.5s;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
[class*="pettern"] .front {
  z-index: 1;
}
[class*="pettern"] a {
  text-decoration: none;
  color: black;
}
@media (max-width: 767px) {
  [class*="pettern"] {
    width: 100%;
    height: auto;
    margin: 0 0 76%;
  }
  [class*="pettern"] a {
    pointer-events: none;
  }
  [class*="pettern"].active a {
    pointer-events: auto;
  }
}

/**
* rorateY
**/
.pettern1 .back {
  -webkit-transform: rotateY( 180deg );
          transform: rotateY( 180deg );
}
.pettern1:hover .front {
  z-index: 0;
  -webkit-transform: rotateY(180deg);
          transform: rotateY(180deg);
}
.pettern1:hover .back {
  -webkit-transform: rotateY(0deg);
          transform: rotateY(0deg);
}

/**
* rorateX
**/
.pettern2 .back {
  -webkit-transform: rotateX( 180deg );
          transform: rotateX( 180deg );
}
.pettern2:hover .front {
  z-index: 0;
  -webkit-transform: rotateX(180deg);
          transform: rotateX(180deg);
}
.pettern2:hover .back {
  -webkit-transform: rotateX(0deg);
          transform: rotateX(0deg);
}

/**
* skrew
**/
.pettern3 {
  -webkit-transition: all 0.3s cubic-bezier(0.5, 1.3, 0.5, 1.3);
          transition: all 0.3s cubic-bezier(0.5, 1.3, 0.5, 1.3);
  -webkit-transform: scale(1) rotate(0deg);
          transform: scale(1) rotate(0deg);
}
.pettern3:hover {
  -webkit-transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
          transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
  -webkit-transform: scale(1.1) rotate(3deg);
          transform: scale(1.1) rotate(3deg);
}

/**
* grass
**/
.pettern4 figure {
  -webkit-transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
          transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
}
.pettern4 .grass {
  width: 100%;
  height: 100%;
  position: absolute;
  overflow: hidden;
  -webkit-transform: translate3d(0, 0, 0);
          transform: translate3d(0, 0, 0);
  bottom: 0;
  left: 0;
}
.pettern4 .grass__blade {
  position: absolute;
}
.pettern4 .grass__blade--1 {
  border-right: 3px solid #a2c491;
  border-top-right-radius: 70%;
  -webkit-transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
          transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
  height: 50%;
  width: 8%;
  bottom: -50%;
  left: -5%;
  will-change: filter;
  -webkit-filter: drop-shadow(11px 21px 0px #a2c491) drop-shadow(23px 0px 0px #a2c491) drop-shadow(49px 0px 0px #a2c491) drop-shadow(85px 0px 0px #a2c491) drop-shadow(170px 0px 0px #a2c491) drop-shadow(350px 0px 0px #a2c491);
          filter: drop-shadow(11px 21px 0px #a2c491) drop-shadow(23px 0px 0px #a2c491) drop-shadow(49px 0px 0px #a2c491) drop-shadow(85px 0px 0px #a2c491) drop-shadow(170px 0px 0px #a2c491) drop-shadow(350px 0px 0px #a2c491);
  -webkit-animation: move-blade-1 10s infinite;
          animation: move-blade-1 10s infinite;
}
.pettern4 .grass__blade--1:before{
  content: '';
  border-left: 3px solid #a2c491;
  border-top-left-radius: 70%;
  -webkit-transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
          transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
  height: 60%;
  width: 48%;
  bottom: 25%;
  left: 100%;
  position: absolute;
}
@media (min-width: 768px) {
  .pettern4:hover figure{
    opacity: .7;
    -webkit-transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
            transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
  }
  .pettern4:hover .grass__blade--1{
    bottom: -30%;
    -webkit-transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
            transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
  }
}
@media (max-width: 767px) {
  .pettern4.active figure{
    opacity: .7;
    -webkit-transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
            transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
  }
  .pettern4.active .grass__blade--1{
    bottom: -20%;
    -webkit-transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
  }
}
@keyframes move-blade-1 {
  0%, 30%, 50%, 55%, 82%, 97%, 100%{border-top-right-radius: 50%;}
  20%{border-top-right-radius: 30%;}
  40%{border-top-right-radius: 20%;}
  70%{border-top-right-radius: 25%;}
  90%{border-top-right-radius: 35%;}
}
@-webkit-keyframes move-blade-1 {
  0%, 30%, 50%, 55%, 82%, 97%, 100%{border-top-right-radius: 50%;}
  20%{border-top-right-radius: 30%;}
  40%{border-top-right-radius: 20%;}
  70%{border-top-right-radius: 25%;}
  90%{border-top-right-radius: 35%;}
}

/**
* wood
**/
.pettern5 figure {
  -webkit-transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
          transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
}
.pettern5 .wood {
  width: 100%;
  height: 100%;
  position: absolute;
  overflow: hidden;
  -webkit-transform: translate3d(0, 0, 0);
          transform: translate3d(0, 0, 0);
  bottom: 0;
  left: 0;
}
.pettern5 .wood__blade {
  position: absolute;
  background: linear-gradient(90deg,#bb5217,#bc6e25 20%,#bc6d23 40%,#bc5820 50%,#9b401b 70%,#7a2719 90%,#772619);
  width: 20px;
  height: 100%;
  display: block;
  left: -90px;
  opacity: 0;
  -webkit-transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
          transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
}
.pettern5 .wood__blade.wood__blade--2 {
  left: auto;
  right: -90px;
  transform: scale(-1, 1);
}
.pettern5 [class*="wood__blade--"]:after {
  content: '';
  transform: rotate(30deg);
  position: absolute;
  background: linear-gradient(90deg,#bb5217,#bc6e25 20%,#bc6d23 40%,#bc5820 50%,#9b401b 70%,#7a2719 90%,#772619);
  width: 10px;
  height: 70px;
  z-index: -1;
  left: 25px;
  top: 30%;
}
.pettern5 [class*="wood__blade--"]:before {
  content: '';
  background-image:
    radial-gradient(circle at 5% 40%, #6e8c1c 10%, #6e8c1c 24%, transparent 46%),
    radial-gradient(circle at 35.304% 40.106%, #6e8c1c 10%, #97b73e 18%, transparent 18%),
    radial-gradient(circle at 28.695% 25.106%, #6e8c1c 10%, #97b73e 18%, transparent 18%),
    radial-gradient(circle at 0% 0%, #6e8c1c 10%, #97b73e 18%, transparent 18%),
    radial-gradient(circle at 33.042% 58.122%, #6e8c1c 10%, #97b73e 18%, transparent 18%),
    radial-gradient(circle at 6.901% 68.122%, #6e8c1c 10%, #97b73e 18%, transparent 18%);
  background-size: 150px 150px;
  display: block;
  width: 150px;
  height: 150px;
  background-repeat: no-repeat;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 10;
}
@media (min-width: 768px) {
  .pettern5:hover .wood__blade {
    left: 0px;
    opacity: 0.7;
    -webkit-transition: all 0.5s ease-in-out;
            transition: all 0.5s ease-in-out;
  }
  .pettern5:hover .wood__blade.wood__blade--2 {
    right: 0px;
    left: auto;
    opacity: 0.9;
    -webkit-transition: all 0.5s ease-in-out;
            transition: all 0.5s ease-in-out;
  }
}
@media (max-width: 767px) {
  .pettern5 .wood__blade {
    width: 15px;
  }
  .pettern5.active .wood__blade {
    left: 0px;
    opacity: 0.7;
    -webkit-transition: all 0.5s ease-in-out;
            transition: all 0.5s ease-in-out;
  }
  .pettern5 [class*="wood__blade--"]:before {
    background-size: 100px 100px;
    width: 100px;
    height: 100px;
  }
  .pettern5 [class*="wood__blade--"]:after {
    transform: rotate(20deg);
    width: 5px;
    height: 70px;
    z-index: -1;
    left: 20px;
    top: 25%;
  }
  .pettern5.active .wood__blade.wood__blade--2 {
    right: 0px;
    left: auto;
    opacity: 0.9;
    -webkit-transition: all 0.5s ease-in-out;
            transition: all 0.5s ease-in-out;
  }
}

/**
* flower
**/
.pettern6 figure {
  -webkit-transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
          transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
}
.pettern6 .flower {
  width: 100%;
  height: 100%;
  position: absolute;
  overflow: hidden;
  -webkit-transform: translate3d(0, 0, 0);
          transform: translate3d(0, 0, 0);
  bottom: 0;
  left: 0;
}
.pettern6 .flower__blade {
  position: absolute;
}
.pettern6 [class*="flower__blade--"] {
  content: '';
  height: 40px;
  width: 40px;
  bottom: 5px;
  left: 0%;
  display: block;
  opacity: 0;
  background-repeat: no-repeat;
  background-size: 40px 40px;
  background-image: radial-gradient(circle at 50% 50%, #ffe0f3 35%, transparent 35%), radial-gradient(circle at 50% 27.598%, #ffe0f3 10%, #bf6b90 18%, transparent 18%), radial-gradient(circle at 28.695% 43.106%, #ffe0f3 10%, #bf6b90 18%, transparent 18%), radial-gradient(circle at 71.304% 43.106%, #ffe0f3 10%, #bf6b90 18%, transparent 18%), radial-gradient(circle at 63.042% 68.122%, #ffe0f3 10%, #bf6b90 18%, transparent 18%), radial-gradient(circle at 36.901% 68.122%, #ffe0f3 10%, #bf6b90 18%, transparent 18%);
  animation: move-flowerAnim 7.5s infinite linear;
  -webkit-transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
          transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
}
.pettern6 .flower__blade--2 {
  top: 0;
  left: 0;
}
.pettern6 .flower__blade--3 {
  top: 0;
  left: calc(100% - 40px);
}
.pettern6 .flower__blade--4 {
  bottom: 5px;
  left: calc(100% - 40px);
}
@media (min-width: 768px) {
  .pettern6:hover [class*="flower__blade--"] {
    opacity: .7;
    -webkit-transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
            transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
  }
}
@media (max-width: 767px) {
  .pettern6.active [class*="flower__blade--"] {
    opacity: .7;
    -webkit-transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
            transition: all 0.5s cubic-bezier(0.5, 1.3, 0.5, 1.3);
  }
}
@keyframes move-flowerAnim {
  0%{ transform:rotate(0);}
  100%{ transform:rotate(360deg); }
}
@-webkit-keyframes move-flowerAnim {
  0%{ transform:rotate(0);}
  100%{ transform:rotate(360deg); }
}


